package psoAlgoCode;

import java.util.ArrayList;
import java.util.Vector;

public class Swarm {
	// A swarm contains a list of particles
	private ArrayList<Particle> swarm = new ArrayList<Particle>();
	// Record of best global values for each iteration
	private Vector<Double> globalBestRecord = new Vector<Double>();
	// The best particle so far
	private Particle global_best;

	public void addMember(Particle p) {
		swarm.add(p);
	}

	public void deleteMember(Particle p) {
		swarm.remove(p);
	}

	public int getSwarmSize() {
		return swarm.size();
	}

	public Particle getGlobalBest() {
		return global_best;
	}

	public double getGlobalBestValue() {
		return global_best.getLocalBestValue();
	}

	public Vector<Double> getGlobalBestRecord() {
		return globalBestRecord;
	}

	public void setGlobalBest(Particle new_global_best) {
		this.global_best = new_global_best;
	}

	public void updateGlobalBest(Particle new_global_best) {
		if (new_global_best.getLocalBestValue() < global_best.getLocalBestValue()) {
			setGlobalBest(new_global_best);
		}
	}

	/**
	 * Update the local best value of each particle within the swarm
	 */
	public void updateLocalBestValues() {
		for (int i = 0; i < Constants.SWARM_SIZE; i++) {
			swarm.get(i).updateLocalBest();
		}

	}

	public void addEleToRecord(double gb) {
		globalBestRecord.addElement(gb);
	}

	public ArrayList<Particle> getSwarm() {
		return swarm;
	}

	public String toString() {
		String output = "";
		for (int i = 0; i < getSwarmSize(); i++) {
			output += ("Particle " + (i + 1) + " with pos: " + getSwarm().get(i).getPositionAdv() + " ");
		}
		return output;
	}
}
